// Ermittlung statistischer Kennzahlen
function [y] = StatKZ (x)
    
    // Prüfen, ob mind. 3 Elemente übergeben wurden:
    if length(x) < 3 then
        // Anwender-Nachricht:
        disp("Abbruch: der Übergabevektor beinhaltet weniger als 3 Elemente!")
        abort // Funktionsabbruch
    end
    
    Mittelwert = mean(x)
    Standardabw = st_deviation(x)
    
    // Rückgabewert festlegen:
    y = [Mittelwert; Standardabw]
    
endfunction
