// while-Schleifen-Beispiel
// Erzeugung gleichverteilte Zufallsvariablen
// nz: Anzahl der pro Durchlauf zu erzeugenden Zufallszahlen
// nd: Anzahl der Durchläufe (Anzahl Spalten der Ergebnismatrix)
function [y] = Zufall(nz, nd)
    
    // Variablendeklaration:
    zaehler = 0
    Zufallsmatrix = []    //Leermatrix
    
    // Schleife:
    while zaehler < nd then
        zaehler = zaehler + 1    // Zähler um 1 erhöhet
        Temp = 0
        Temp = rand(nz,1,"uniform")
        if zaehler == 1 then
            Zufallsmatrix = Temp
        else
            Zufallsmatrix = [Zufallsmatrix, Temp]
        end
    end
    
    // Rückgabewert festlegen:
    y = Zufallsmatrix
    
endfunction