// Ermittlung statistischer Kennzahlen
// Version 2
function [y] = StatKZ (x)
    
    // Variablendeklaration:
    Mittelwert = 0
    Standardabw = 0
    Entscheidung = ""   // Benutzereingabe
    Nachricht = ""      // Nachricht für Benutzer
    
    // Prüfen, ob mind. 3 Elemente übergeben wurden:
    if length(x) < 3 then
        // Anwender-Nachricht:
        disp("Warnung: der Übergabevektor beinhaltet weniger als 3 Elemente!")
        // Abfrage, ob der Anwender die Eingabe korrigieren möchte:
        Nachricht = "Möchten Sie das Datenobjekt korrigieren? ja=j/nein=n -->"
        Entscheidung = input(Nachricht, "string")
        
        if Entscheidung == "j" then
            // Neuen Vektor einlesen:
            Nachricht = "Neuer Vektor -->"
            x = input(Nachricht)
        end
    end
    
    Mittelwert = mean(x)
    Standardabw = st_deviation(x)
    
    // Rückgabewert festlegen:
    y = [Mittelwert; Standardabw]
    
endfunction
