// For-Schleifen-Beispiel
// Erzeugung gleichverteilte Zufallsvariablen
// nz: Anzahl der pro Durchlauf zu erzeugenden Zufallszahlen
// nd: Anzahl der Durchläufe (Anzahl Spalten der Ergebnismatrix)
function [y] = Zufall(nz, nd)
    
    // Variablendeklaration:
    Start = 1
    Temp = 0
    Zufallsmatrix = []    //Leermatrix
    
    // Schleife:
    for i= Start:nd
        Temp = 0
        Temp = rand(nz,1,"uniform")
        if i == 1 then
            Zufallsmatrix = Temp
        else
            Zufallsmatrix = [Zufallsmatrix, Temp]
        end
    end
    
    // Rückgabewert festlegen:
    y = Zufallsmatrix
    
endfunction